<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>aqroid</artifactId>
        <groupId>cn.aqroid</groupId>
        <version>3.9.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>aqroid-business</artifactId>

    <description>
        游戏服务交易平台业务模块
    </description>

    <dependencies>

        <!-- 通用工具-->
        <dependency>
            <groupId>cn.aqroid</groupId>
            <artifactId>aqroid-common</artifactId>
        </dependency>

        <!-- Spring Web MVC 支持 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <!-- Bouncy Castle 手机号加密库 -->
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <version>1.70</version>
        </dependency>

        <!-- 测试依赖 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- jqwik 属性测试框架 -->
        <dependency>
            <groupId>net.jqwik</groupId>
            <artifactId>jqwik</artifactId>
            <version>1.8.2</version>
            <scope>test</scope>
        </dependency>

    </dependencies>

</project>
